package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Quality;
import com.lightinit.hsdatashow.entity.QualityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface QualityMapper {
    long countByExample(QualityExample example);

    int deleteByExample(QualityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Quality record);

    int insertSelective(Quality record);

    List<Quality> selectByExample(QualityExample example);

    Quality selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Quality record, @Param("example") QualityExample example);

    int updateByExample(@Param("record") Quality record, @Param("example") QualityExample example);

    int updateByPrimaryKeySelective(Quality record);

    int updateByPrimaryKey(Quality record);
}